%define rname	newmailicon
%define fname   mozTrayBiff
%set_tbird_ciddir arch 2e1b75f1-6b5a-4f1d-89b4-424f636e4fba

Name:		%tbird_name-%rname
Version:	1.2.3
Release:	alt1
Summary:	New Mail Icon extension for Thunderbird

License:	GPL
Group:		Networking/Mail
URL:		http://moztraybiff.mozdev.org/
Packager:   Alexey Sidorov <alexsid@altlinux.ru>

Source0:	%fname-%version.tar.gz
Source1:	%fname.chrome.manifest
Patch0:     mozTrayBiff-nspr_include.patch

BuildRequires(pre):	rpm-build-thunderbird unzip
# Automatically added by buildreq on Thu Apr 26 2007
BuildRequires: gcc-c++ libgtk+2-devel thunderbird-devel zip

Requires: %tbird_name >= 2.0

%description
Mozilla New Mail Icon is an extension which displays an icon
in the system tray when new mail arrives in your Mozilla Thunderbird.
It supports the standard (FreeDesktop.org) system tray,
as used by GNOME, KDE and IceWM.


%prep
%setup -q -n %fname-%version

%patch0 -p1

%build
%make MOZILLA_PLATFORM=tbird REAL_CONFIG=/usr/bin/thunderbird-config MOZ_TRUNK=1 

%install
mkdir -p %buildroot/%ciddir
unzip %fname-%version-*.xpi -d %buildroot/%ciddir/
cp %SOURCE1 %buildroot/%ciddir/chrome.manifest

%files
%ciddir

%changelog
* Mon Jul 16 2007 Alexey Sidorov <alexsid@altlinux.ru> 1.2.3-alt1
- New version

* Thu Apr 26 2007 Alexey Sidorov <alexsid@altlinux.ru> 1.2.2-alt1
- first build for ALT Linux.
